pbs_ds_password(8B)

NAME
pbs_ds_password - set or change data service user account or its password

SYNOPSIS
pbs_ds_password [-C <username>] [-r]

DESCRIPTION
You can use this command to change the user account or account password for the data service. Passwords
Blank passwords are not allowed. If you type in a password, make sure it does not contain restricted characters. The pbs_ds_password command generates passwords containing the following characters: 0123456789abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ!@#$%^&*()_+ When creating a password manually, do not use \ (backslash) or ` (backquote). This can prevent certain commands such as pbs_server, pbs_ds_password, and printjob from functioning properly, as they rely on connecting to the database. The format is also described in "PBS Password" in the Formats chapter of the PBS Professional Reference Guide. Permissions On Linux, root privilege is required to use this command. On Windows, Admin privilege is required. Restrictions Do not run this command if failover is configured. It is important not to inadvertently start two separate instances of the data service on two machines, thus potentially corrupting the database.

OPTIONS

-C <username>
    Changes user account for data service to specified account. Specified user account must already exist.
    On Linux-based systems, the specified user account must not be root.
    On Windows, the specified user account must match the PBS service account (which can be any user account.)
    This option cannot be used while the data service is running.
    Can be used with the -r option to automatically generate a password for the new account.

-r  Generates a random password. The data service is updated with the new password. Can be used with the -C option.

(no options)
    Asks the user to enter a new password twice. Entries must match. Updates data service with new password.

EXIT STATUS

Zero
    Success

Non-zero
    Failure